The Payment Inquiry service is used when the result of a payment transaction:
cannot be obtained from the response information due to technical problems,
the transaction result needs to be re-verified
is required.
With this service, the final status of a previously initiated payment final status (Successful, Failed, Pending etc.) can be queried again through the system.
ℹ️ The payment inquiry operation is for information purposes only, it does not change the payment status.
Endpoint
POST /v1/Payment/CheckPayment
Headers
Key
Type
Description
Example
x-ClientID
String
Unique identifier for the API client
your-client-id
x-ClientSecret
String
Secret key for the API client
your-secret-key
x-GrantType
String
Type of access token used
client_credentials
x-Scope
String
API scope
pf_write, pf_read
x-Timestamp
String
Request timestamp
2024-12-17T12:34:56Z
Request Body
Field
Required
Type
Description
Example
merchantId
✅
Integer
Unique identifier for the merchant
100000000000004
conversationId
✅
String
Unique identifier created for transaction tracking
MSD2024030500000000115
sign
✅
String
Digital signature for request verification
AAVWY3RZKJVVCEAD8LDQB4K
Response Body
The payment inquiry service returns the current status and details of the queried payment.